TaskLibrary "WebSphere Administration Server Tasks" {
        Context = ("","*",1);
        Distribute = ("","ALI",1);
        HelpMessage = ("","WebSphere Administration Server Task Library",1);
        Requires = ("",">2.5",1);
        Version = ("","1.0",1);


        Task "List_Application_Servers" {
                Comments = ("","Task Name            : List Application Servers",1);
                Description = ("itmwasTaskCat","List WebSphere Application Servers",16);
                HelpMessage = ("itmwasTaskHelpCat","List Application Servers
Lists the application servers associated with an IBM WebSphere
administration server.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",13);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_list_servers.sh";
        };
        Task "Start_Administration_Server" {
                Comments = ("","Task Name            : Start Administration Server",1);
                Description = ("itmwasTaskCat","Start Administration Server",50);
                HelpMessage = ("itmwasTaskHelpCat","Start Administration Server

Starts the IBM WebSphere administration server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",17);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_start_admin.sh";
        };
        Task "Stop_Administration_Server" {
                Comments = ("","Task Name            : Stop Administration Server",1);
                Description = ("itmwasTaskCat","Stop Administration Server",51);
                HelpMessage = ("itmwasTaskHelpCat","Stop Administration Server

Stops the IBM WebSphere administration server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",18);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_stop_admin.sh";
        };
        Task "Check_Administration_Server_Status" {
                Comments = ("","Task Name            : Check Administration Server Status",1);
                Description = ("itmwasTaskCat","Check Administration Server Status",49);
                HelpMessage = ("itmwasTaskHelpCat","Check Administration Server Status

Returns the status of the IBM WebSphere administration server.

This task returns \"initializing\" if the administration server is
initializing, \"up\" if the administration server is running, \"down\"
if it is stopped, and \"unknown\" if there is a problem obtaining
the status.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",19);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_admin_status.sh";
        };

}

