TaskLibrary "WebSphere Application Server Tasks" {
        Context = ("","*",1);
        Distribute = ("","ALI",1);
        HelpMessage = ("","WebSphere Application Server Task Library",1);
        Requires = ("",">2.5",1);
        Version = ("","1.0",1);


        Task "Start_Application_Server" {
                Comments = ("","Task Name            : Start Application Server",1);
                Description = ("itmwasTaskCat","Start Application Server",23);
                HelpMessage = ("itmwasTaskHelpCat","Start Application Server

Starts an application server. You can use this task to start a single
application server.

AUTHORIZATION ROLES:
	websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSApplicationServer)

GUI DATA ENTRY FIELDS:
None",3);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_start_server.sh";
        };
        Task "Stop_Application_Server" {
                Comments = ("","Task Name            : Stop Application Server",1);
                Description = ("itmwasTaskCat","Stop Application Server",24);
                HelpMessage = ("itmwasTaskHelpCat","Stop Application Server

Stops the application server. You can use this task to stop a single
application server.

AUTHORIZATION ROLES:
	websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSApplicationServer)

GUI DATA ENTRY FIELDS:
None",4);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_stop_server.sh";
        };
        Task "Check_Application_Server_Status" {
                Comments = ("","Task Name            : Check Application Server Status",1);
                Description = ("itmwasTaskCat","Check Application Server Status",22);
                HelpMessage = ("itmwasTaskHelpCat","Check Application Server Status

Returns the status of an application server. You can use this task to
display the status of a single application server.

This task returns \"up\" if the application server is running,
returns \"down\" if it is stopped, or returns \"unknown\"
if there is a problem obtaining the status.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSApplicationServer)

GUI DATA ENTRY FIELDS:
None",5);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_server_status.sh";
        };

}

