-- ==========================================================================
-- Licensed Materials - Property of IBM
-- "Restricted Materials of IBM"
--
-- 5724-C01
--
-- (C) COPYRIGHT IBM CORP. 2002. ALL RIGHTS RESERVED.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
-- ==========================================================================
--
-- File Information: %W%
-- 
-- Revision: %I%
-- 
-- Date: %G% %U%
-- 
-- Description: This is the IBM Tivoli Monitoring for WebSphere Application 
--              Server file for creating staging tables in the central data 
--              warehouse (twh_cdw).
-- ==========================================================================
-----------------------------------------
-- IZY stage tables
-----------------------------------------
--  None for CDW ETL1                 


-----------------------------------------
-- Create Star Schema Tables
-----------------------------------------

-- IZY staging tables for datamart process

create table izy.stage_d_was_metric (
 insert_dttm		timestamp,
 Metric_ID            integer not null,
 Met_Category         VARCHAR(254) NOT NULL,
 Met_Desc          VARCHAR(254) NOT NULL,
 Met_Name          VARCHAR(120) NOT NULL,
 Met_Units         CHAR(6) NOT NULL,
 MIN_Exists           CHARACTER NOT NULL,
 MAX_Exists           CHARACTER NOT NULL,
 AVG_Exists           CHARACTER NOT NULL,
 Total_Exists         CHARACTER NOT NULL,
 Msrc_Nm				 VARCHAR(50) NOT NULL,
       PRIMARY KEY (Metric_ID)
);


-- Create temporary staging table for WebSphere AdminServer components in CDW
create table IZY.STAGE_ADMIN_ATTR (
 comp_id    integer not null,
 comp_name  varchar(254) not null, 
 compattr_strt_dttm		timestamp not null,
 primary key (comp_id, compattr_strt_dttm )
);

