-- ==========================================================================
-- Licensed Materials - Property of IBM
-- "Restricted Materials of IBM"
--
-- 5724-C01
--
-- (C) COPYRIGHT IBM CORP. 2002. ALL RIGHTS RESERVED.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
-- ==========================================================================
--
-- File Information: %W%
-- 
-- Revision: %I%
-- 
-- Date: %G% %U%
--                        
-- Description: This is the IBM Tivoli Monitoring for WebSphere Application 
--              Server file for deleting static data from central data 
--              warehouse (twh_cdw) tables, including Extract Control values.
-- ==========================================================================
--
--------------------------------------------
-- Delete static data from CDW on uninstall
--------------------------------------------

-- It's ok if some of these deletes fail. There could be FK dependencies.

delete from AMX.Resource_Transl where CompTyp_cd LIKE 'IZY%';

delete from AMX.Comptyp_Transl where MSrc_Cd = 'IZY';

delete from AMX.Attrtyp_Transl where MSrc_Cd = 'IZY';

delete from AMX.Category_Transl where MSrc_Cd = 'IZY';

-- Clean the TWG PRUNE_MSMT_CONTROL 
delete from twg.Prune_Msmt_control where MSrc_Cd = 'IZY';


-- Clean the TWG EXTRACT_CONTROL
delete from 
  twg.extract_control ec
where 
   ec.extctl_target LIKE 'IZY%' 
;

-- Clean the TWG EXTRACT_LOG
delete from 
  twg.extract_log el
where 
   el.extlog_target LIKE 'IZY%'        
;

