-- ==========================================================================
-- Licensed Materials - Property of IBM
-- "Restricted Materials of IBM"
--
-- 5724-C01
--
-- (C) COPYRIGHT IBM CORP. 2002. ALL RIGHTS RESERVED.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
-- ==========================================================================
--
-- File Information: %W%
-- 
-- Revision: %I%
-- 
-- Date: %G% %U%
-- 
-- Description: This is the IBM Tivoli Monitoring for WebSphere file for dropping 
--              tables it creates in the TEDW TWH_Mart DB.
-- 
------------------------------------------------
--- metric dimension
-----------------------------------------------

-- metric dimension table for all components. 

drop table IZY.D_WAS_METRIC;
drop table IZY.STAGE_D_MRT_METRIC;

--
------------------------------------------------
-- component dimension for the data mart schema
------------------------------------------------

-- WebSphere host dimension table  

drop table IZY.D_WAS_HOST;

-- WebSphere AdminServer dimension table

drop table IZY.D_WAS_ADMINSRV;

-- WebSphere Application Server dimension table

drop table IZY.D_WAS_APPLSRV;

-- WebSphere Application Server Components dimension table

drop table IZY.D_WAS_APPLCMP;

-- WebSphere SubComponent Items dimension table

drop table IZY.D_WAS_SUBCMP;

-- Drop corresponding staging dimension tables

drop table IZY.STAGE_D_HOST;
drop table IZY.STAGE_D_ADMINSRV;
drop table IZY.STAGE_D_APPLSRV;
drop table IZY.STAGE_D_APPLCMP;
drop table IZY.STAGE_D_SUBCMP;

--------------------------------------------------------------------
--
--      fact tables
---
-------------------------------------------------------------------
                              
--------------
-- hour level
--------------

-- Measurement hourly staging tables

drop table IZY.STAGE_F_ADMIN_HOUR;
drop table IZY.STAGE_F_APPL_HOUR;
drop table IZY.STAGE_F_APCMP_HOUR;
drop table IZY.STAGE_F_SBCMP_HOUR;

-- drop  hourly fact tables
drop index IZY.F_ADMSRV_HOUR_IDX1;
drop index IZY.F_ADMSRV_HOUR_IDX2;
drop index IZY.F_ADMSRV_HOUR_IDX3;
drop index IZY.F_ADMSRV_HOUR_IDX4;
drop index IZY.F_ADMSRV_HOUR_IDX5;

-- measurement day fact table for all metrics against AdminServer
drop table IZY.F_ADMINSRV_HOUR;

-- drop  hourly fact tables
drop index IZY.F_APPSRV_HOUR_IDX1;
drop index IZY.F_APPSRV_HOUR_IDX2;
drop index IZY.F_APPSRV_HOUR_IDX3;
drop index IZY.F_APPSRV_HOUR_IDX4;
drop index IZY.F_APPSRV_HOUR_IDX5;
drop index IZY.F_APPSRV_HOUR_IDX6;

-- measurement hour fact table for all metrics against Application Server
drop table IZY.F_APPLSRV_HOUR;

-- drop  hourly fact tables
drop index IZY.F_APPCMP_HOUR_IDX1;
drop index IZY.F_APPCMP_HOUR_IDX2;
drop index IZY.F_APPCMP_HOUR_IDX3;
drop index IZY.F_APPCMP_HOUR_IDX4;
drop index IZY.F_APPCMP_HOUR_IDX5;
drop index IZY.F_APPCMP_HOUR_IDX6;
drop index IZY.F_APPCMP_HOUR_IDX7;

-- measurement hour fact table for all metrics against subcomponents of application server 
drop table IZY.F_APPLCMP_HOUR;

-- drop  hourly fact tables
drop index IZY.F_SUBCMP_HOUR_IDX1;
drop index IZY.F_SUBCMP_HOUR_IDX2;
drop index IZY.F_SUBCMP_HOUR_IDX3;
drop index IZY.F_SUBCMP_HOUR_IDX4;
drop index IZY.F_SUBCMP_HOUR_IDX5;
drop index IZY.F_SUBCMP_HOUR_IDX6;
drop index IZY.F_SUBCMP_HOUR_IDX7;
drop index IZY.F_SUBCMP_HOUR_IDX8;
-- measurement hour fact table for all metrics against subcomponents of application server 
drop table IZY.F_SUBCMP_HOUR;


--------------
-- day level
--------------
-- measurement day fact table for all metrics against AdminServer

-- drop  daily tables
drop index IZY.F_ADMSRV_DAY_IDX1;
drop index IZY.F_ADMSRV_DAY_IDX2;
drop index IZY.F_ADMSRV_DAY_IDX3;
drop index IZY.F_ADMSRV_DAY_IDX4;
drop index IZY.F_ADMSRV_DAY_IDX5;

drop table IZY.F_ADMINSRV_DAY;

-- measurement Day fact table for all metrics against Application Server

-- drop  daily fact tables
drop index IZY.F_APPSRV_DAY_IDX1;
drop index IZY.F_APPSRV_DAY_IDX2;
drop index IZY.F_APPSRV_DAY_IDX3;
drop index IZY.F_APPSRV_DAY_IDX4;
drop index IZY.F_APPSRV_DAY_IDX5;
drop index IZY.F_APPSRV_DAY_IDX6;

drop table IZY.F_APPLSRV_DAY;

-- measurement day fact table for all metrics against subcomponents of application server 

-- drop  day fact tables
drop index IZY.F_APPCMP_DAY_IDX1;
drop index IZY.F_APPCMP_DAY_IDX2;
drop index IZY.F_APPCMP_DAY_IDX3;
drop index IZY.F_APPCMP_DAY_IDX4;
drop index IZY.F_APPCMP_DAY_IDX5;
drop index IZY.F_APPCMP_DAY_IDX6;
drop index IZY.F_APPCMP_DAY_IDX7;

drop table IZY.F_APPLCMP_Day;

-- measurement day fact table for all metrics against subcomponents of application server 

-- drop  daily fact tables
drop index IZY.F_SUBCMP_DAY_IDX1;
drop index IZY.F_SUBCMP_DAY_IDX2;
drop index IZY.F_SUBCMP_DAY_IDX3;
drop index IZY.F_SUBCMP_DAY_IDX4;
drop index IZY.F_SUBCMP_DAY_IDX5;
drop index IZY.F_SUBCMP_DAY_IDX6;
drop index IZY.F_SUBCMP_DAY_IDX7;
drop index IZY.F_SUBCMP_DAY_IDX8;

drop table IZY.F_SUBCMP_DAY;

--------------------
--- Fact WEEK level
--------------------
                                  
-- drop weekly fact tables
drop index IZY.F_ADMSRV_WEEK_IDX1;
drop index IZY.F_ADMSRV_WEEK_IDX2;
drop index IZY.F_ADMSRV_WEEK_IDX3;
drop index IZY.F_ADMSRV_WEEK_IDX4;
drop index IZY.F_ADMSRV_WEEK_IDX5;

drop table IZY.F_ADMINSRV_Week;


-- drop weekly fact tables
drop index IZY.F_APPSRV_WEEK_IDX1;
drop index IZY.F_APPSRV_WEEK_IDX2;
drop index IZY.F_APPSRV_WEEK_IDX3;
drop index IZY.F_APPSRV_WEEK_IDX4;
drop index IZY.F_APPSRV_WEEK_IDX5;
drop index IZY.F_APPSRV_WEEK_IDX6;

drop table IZY.F_APPLSRV_Week; 

-- drop  weekly fact tables
drop index IZY.F_APPCMP_WEEK_IDX1;
drop index IZY.F_APPCMP_WEEK_IDX2;
drop index IZY.F_APPCMP_WEEK_IDX3;
drop index IZY.F_APPCMP_WEEK_IDX4;
drop index IZY.F_APPCMP_WEEK_IDX5;
drop index IZY.F_APPCMP_WEEK_IDX6;
drop index IZY.F_APPCMP_WEEK_IDX7;

drop table IZY.F_APPLCMP_Week; 

-- drop  weekly fact tables
drop index IZY.F_SUBCMP_WEEK_IDX1;
drop index IZY.F_SUBCMP_WEEK_IDX2;
drop index IZY.F_SUBCMP_WEEK_IDX3;
drop index IZY.F_SUBCMP_WEEK_IDX4;
drop index IZY.F_SUBCMP_WEEK_IDX5;
drop index IZY.F_SUBCMP_WEEK_IDX6;
drop index IZY.F_SUBCMP_WEEK_IDX7;
drop index IZY.F_SUBCMP_WEEK_IDX8;

drop table IZY.F_SUBCMP_Week;

--------------------
-- FACT MONTH table
--------------------

-- drop  monthly fact tables
drop index IZY.F_AMSRV_MONTH_IDX1;
drop index IZY.F_AMSRV_MONTH_IDX2;
drop index IZY.F_AMSRV_MONTH_IDX3;
drop index IZY.F_AMSRV_MONTH_IDX4;
drop index IZY.F_AMSRV_MONTH_IDX5;

drop table IZY.F_ADMINSRV_Month;

-- drop  monthly fact tables
drop index IZY.F_APSRV_MONTH_IDX1;
drop index IZY.F_APSRV_MONTH_IDX2;
drop index IZY.F_APSRV_MONTH_IDX3;
drop index IZY.F_APSRV_MONTH_IDX4;
drop index IZY.F_APSRV_MONTH_IDX5;
drop index IZY.F_APSRV_MONTH_IDX6;

drop table IZY.F_APPLSRV_Month;             

-- drop  monthly fact tables
drop index IZY.F_APCMP_MONTH_IDX1;
drop index IZY.F_APCMP_MONTH_IDX2;
drop index IZY.F_APCMP_MONTH_IDX3;
drop index IZY.F_APCMP_MONTH_IDX4;
drop index IZY.F_APCMP_MONTH_IDX5;
drop index IZY.F_APCMP_MONTH_IDX6;
drop index IZY.F_APCMP_MONTH_IDX7;

drop table IZY.F_APPLCMP_Month; 


-- drop  monthly fact tables
drop index IZY.F_SBCMP_MONTH_IDX1;
drop index IZY.F_SBCMP_MONTH_IDX2;
drop index IZY.F_SBCMP_MONTH_IDX3;
drop index IZY.F_SBCMP_MONTH_IDX4;
drop index IZY.F_SBCMP_MONTH_IDX5;
drop index IZY.F_SBCMP_MONTH_IDX6;
drop index IZY.F_SBCMP_MONTH_IDX7;
drop index IZY.F_SBCMP_MONTH_IDX8;

drop table IZY.F_SUBCMP_Month;

-----------------------------------------------------------------------
-- Drop prune mart control table 
-----------------------------------------------------------------------

-- Control table for pruning obsolete data from all fact tables 
drop TABLE IZY.PRUNE_MART_CONTROL;
drop TABLE IZY.PRUNE_MART_LOG;
